Index: ReserveNGo-frontend/src/PiniaStores/restaurantStore.js
===================================================================
--- ReserveNGo-frontend/src/PiniaStores/restaurantStore.js	(revision 840887fb6b8f713ba77e5f64d7ad1bd427d59a19)
+++ ReserveNGo-frontend/src/PiniaStores/restaurantStore.js	(revision 7d8eeabb470b8aa00b55514a947fb74ac6b8a96c)
@@ -24,4 +24,7 @@
       this.workingHours = workingHours
       this.availableServices = availableServices
+    },
+    newRestaurant (id) {
+      this.id = id
     }
   },
Index: ReserveNGo-frontend/src/components/Project/AddRestaurant.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/AddRestaurant.vue	(revision 7d8eeabb470b8aa00b55514a947fb74ac6b8a96c)
+++ ReserveNGo-frontend/src/components/Project/AddRestaurant.vue	(revision 7d8eeabb470b8aa00b55514a947fb74ac6b8a96c)
@@ -0,0 +1,52 @@
+<script>
+import { useRouter } from 'vue-router'
+import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
+import { userStore } from '@/PiniaStores/UserStore.js'
+
+
+export default {
+  data() {
+    return {
+      router: useRouter(),
+      name: '',
+      url: 'http://localhost:8080/api/admin/add',
+      restaurantStore: restaurantStore(),
+      userStore: userStore(),
+    }
+  },
+  methods: {
+    async addRestaurant() {
+      await fetch(this.url, {
+        method: 'POST',
+        headers: {
+          'Content-Type': 'application/json',
+          'Authorization': this.userStore.getToken
+        },
+        body: JSON.stringify({
+          name: this.name,
+        })
+      }).then((response) => response.json())
+        .then(json => {this.restaurantStore.newRestaurant(json)})
+
+    }
+  }
+}
+</script>
+
+<template>
+  <div class="container mt-5">
+    <div class="row justify-content-center">
+      <div class="col-4">
+        <form v-on:submit.prevent="addRestaurant">
+          <div class="mb-3">
+            <label for="name" class="form-label" >Restaurant name</label>
+            <input v-model="this.name" type="text" id="name" name="name" class="form-control" placeholder="Name" required>
+          </div>
+          <button type="submit" class="btn btn-primary">Add Restaurant</button>
+        </form>
+      </div>
+    </div>
+  </div>
+</template>
+
+<style scoped></style>
Index: ReserveNGo-frontend/src/components/Project/Nav_bar_new.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Nav_bar_new.vue	(revision 840887fb6b8f713ba77e5f64d7ad1bd427d59a19)
+++ ReserveNGo-frontend/src/components/Project/Nav_bar_new.vue	(revision 7d8eeabb470b8aa00b55514a947fb74ac6b8a96c)
@@ -89,4 +89,7 @@
             <a v-if="userStore_.data.role==='UN_AUTHENTICATED'" class="btn btn-dark ms-2">Register</a>
             </router-link>
+            <router-link to="/addRestaurant">
+              <a v-if="userStore_.data.role==='ROLE_LOCAL_MANAGER' || userStore_.data.role==='ROLE_ADMIN'" class="btn btn-dark me-2">Add Restaurant</a>
+            </router-link>
             <logout_></logout_>
           </li>
Index: ReserveNGo-frontend/src/components/Project/login_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/login_.vue	(revision 840887fb6b8f713ba77e5f64d7ad1bd427d59a19)
+++ ReserveNGo-frontend/src/components/Project/login_.vue	(revision 7d8eeabb470b8aa00b55514a947fb74ac6b8a96c)
@@ -28,8 +28,8 @@
       await fetch(this.url, {
         method: 'POST',
-        headers: { 'Content-Type': 'application/x-www-form-urlencoded'},
-        body: new URLSearchParams({
-            email: this.form_info.email,
-            password: this.form_info.password
+        headers: { 'Content-Type': 'application/json'},
+        body: JSON.stringify({
+          email: this.form_info.email,
+          password: this.form_info.password,
         })
       }).then((response) => response.json())
Index: ReserveNGo-frontend/src/components/Project/register_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/register_.vue	(revision 840887fb6b8f713ba77e5f64d7ad1bd427d59a19)
+++ ReserveNGo-frontend/src/components/Project/register_.vue	(revision 7d8eeabb470b8aa00b55514a947fb74ac6b8a96c)
@@ -36,18 +36,22 @@
 
   methods: {
-   async register() {
-     await fetch(this.wholeUrl, {
+    async register() {
+      await fetch(this.wholeUrl, {
         method: 'POST',
-        headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
-        body: new URLSearchParams({
+        headers: { 'Content-Type': 'application/json' },
+        body: JSON.stringify({
           firstName: this.form_info.firstName,
           lastName: this.form_info.lastName,
           email: this.form_info.email,
           password: this.form_info.password,
-          phoneNumber: this.form_info.phoneNumber})
-      }).then((response) => response.json())
-        .then((json) => {this.userStore_.setLocalStorage(json);
-                        router.push('/')})
-          //console.log("Data received:", this.data);
+          phoneNumber: this.form_info.phoneNumber
+        })
+      })
+        .then((response) => response.json())
+        .then((json) => {
+          this.userStore_.setLocalStorage(json);
+          router.push('/');
+        });
+    //console.log("Data received:", this.data);
           //this.userStore_.setLocalStorage(json)
         //console.log(json)
Index: ReserveNGo-frontend/src/router/index.js
===================================================================
--- ReserveNGo-frontend/src/router/index.js	(revision 840887fb6b8f713ba77e5f64d7ad1bd427d59a19)
+++ ReserveNGo-frontend/src/router/index.js	(revision 7d8eeabb470b8aa00b55514a947fb74ac6b8a96c)
@@ -8,4 +8,5 @@
 import my_reservations from '@/components/Project/My_reservations.vue'
 import Locale_ from '@/components/Project/Locale_.vue'
+import AddRestaurant from "@/components/Project/AddRestaurant.vue";
 
 const router = createRouter({
@@ -45,4 +46,9 @@
       name: 'more_details',
       component: Locale_,
+    },
+    {
+      path: '/addRestaurant',
+      name: 'addRestaurant',
+      component: AddRestaurant,
     }
   ],
